module KOAUtils
  module QueryTime
    def self.enable_log
      if Rails.env.production?
        ActiveSupport::Notifications.subscribe "sql.active_record" do |name, start, finish, id, payload|
          if payload[:name] == "SQL"
            duration = (finish - start) * 1000
            KOAUtils::Logger.measure("pg.query", duration.round.to_s+"ms")
          end
        end
      end
    end
  end
end